Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAccordion

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractAccordion
                          org.richfaces.component.UIAccordion

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIAccordion

extends AbstractAccordion
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:accordion> is a series of panels stacked on top of each other, each collapsed such that only the header of the panel is showing. When the header of a panel is clicked, it is expanded to show the content of the panel. Clicking on a different header will collapse the previous panel and epand the selected one. Each panel contained in a <rich:accordion> component is a <rich:accordionItem> component.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIAccordion.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UIAccordion()`

Method Summary
`Object` | `getData()`
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`Object` | `getExecute()`
`String` | `getFamily()`
`String` | `getHeight()` The height of the panel
`String` | `getItemActiveHeaderClass()` The CSS class applied to the panel header when the panel is active
`String` | `getItemActiveLeftIcon()` The icon displayed on the left of the panel header when the panel is active
`String` | `getItemActiveRightIcon()` The icon displayed on the right of the panel header when the panel is active
`javax.el.MethodExpression` | `getItemChangeListener()` Occurs on the server side when an item is changed through Ajax using the server mode
`String` | `getItemContentClass()` A CSS class applied to each of the accordionItem children
`String` | `getItemDisabledHeaderClass()` The CSS class applied to the panel header when the panel is disabled
`String` | `getItemDisabledLeftIcon()` The icon displayed on the left of the panel header when the panel is disabled
`String` | `getItemDisabledRightIcon()` The icon displayed on the right of the panel header when the panel is disabled
`String` | `getItemHeaderClass()` The CSS class applied to the panel header
`String` | `getItemInactiveHeaderClass()` The CSS class applied to the panel header when the panel is not active
`String` | `getItemInactiveLeftIcon()` The icon displayed on the left of the panel header when the panel is not active
`String` | `getItemInactiveRightIcon()` The icon displayed on the right of the panel header when the panel is not active
`String` | `getLang()`
`String` | `getOnbeforeitemchange()` Points to the function to perform when before the switchable item is changed
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnitemchange()` Points to the function to perform when the switchable item is changed.
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`Object` | `getRender()`
`String` | `getStatus()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`String` | `getWidth()` The width of the panel
`boolean` | `isCycledSwitching()` Applicable when cycling through the tabs.
`boolean` | `isLimitRender()`
`void` | `setCycledSwitching(boolean cycledSwitching)`
`void` | `setData(Object data)`
`void` | `setDir(String dir)`
`void` | `setExecute(Object execute)`
`void` | `setHeight(String height)`
`void` | `setItemActiveHeaderClass(String itemActiveHeaderClass)`
`void` | `setItemActiveLeftIcon(String itemActiveLeftIcon)`
`void` | `setItemActiveRightIcon(String itemActiveRightIcon)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setItemContentClass(String itemContentClass)`
`void` | `setItemDisabledHeaderClass(String itemDisabledHeaderClass)`
`void` | `setItemDisabledLeftIcon(String itemDisabledLeftIcon)`
`void` | `setItemDisabledRightIcon(String itemDisabledRightIcon)`
`void` | `setItemHeaderClass(String itemHeaderClass)`
`void` | `setItemInactiveHeaderClass(String itemInactiveHeaderClass)`
`void` | `setItemInactiveLeftIcon(String itemInactiveLeftIcon)`
`void` | `setItemInactiveRightIcon(String itemInactiveRightIcon)`
`void` | `setLang(String lang)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforeitemchange(String onbeforeitemchange)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnitemchange(String onitemchange)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setRender(Object render)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setWidth(String width)`

Methods inherited from class org.richfaces.component.AbstractAccordion
`getActiveItem`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isActiveItem, isActiveItem, isImmediate, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateActiveName, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAccordion

    public UIAccordion()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractAccordion`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isCycledSwitching

    public boolean isCycledSwitching()

  Description copied from class: `AbstractTogglePanel`
  Applicable when cycling through the tabs. If "true", then when the last tab is active, cycling to next will activate the first tab, if "false", cycling to next will have not effect. The inverse applies for the first tab, and cycling to previous. Whether to Default: false

  Specified by:
    `isCycledSwitching` in class `AbstractTogglePanel`

### setCycledSwitching

    public void setCycledSwitching(boolean cycledSwitching)

### getData

    public Object getData()

  Specified by:
    `getData` in class `AbstractTogglePanel`

### setData

    public void setData(Object data)

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(String dir)

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in class `AbstractTogglePanel`

### setExecute

    public void setExecute(Object execute)

### getHeight

    public String getHeight()

  Description copied from class: `AbstractAccordion`
  The height of the panel

  Specified by:
    `getHeight` in class `AbstractAccordion`

### setHeight

    public void setHeight(String height)

### getItemActiveHeaderClass

    public String getItemActiveHeaderClass()

  Description copied from class: `AbstractAccordion`
  The CSS class applied to the panel header when the panel is active

  Specified by:
    `getItemActiveHeaderClass` in class `AbstractAccordion`

### setItemActiveHeaderClass

    public void setItemActiveHeaderClass(String itemActiveHeaderClass)

### getItemActiveLeftIcon

    public String getItemActiveLeftIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the left of the panel header when the panel is active

  Specified by:
    `getItemActiveLeftIcon` in class `AbstractAccordion`

### setItemActiveLeftIcon

    public void setItemActiveLeftIcon(String itemActiveLeftIcon)

### getItemActiveRightIcon

    public String getItemActiveRightIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the right of the panel header when the panel is active

  Specified by:
    `getItemActiveRightIcon` in class `AbstractAccordion`

### setItemActiveRightIcon

    public void setItemActiveRightIcon(String itemActiveRightIcon)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Description copied from class: `AbstractTogglePanel`
  Occurs on the server side when an item is changed through Ajax using the server mode

  Specified by:
    `getItemChangeListener` in class `AbstractTogglePanel`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getItemContentClass

    public String getItemContentClass()

  Description copied from class: `AbstractAccordion`
  A CSS class applied to each of the accordionItem children

  Specified by:
    `getItemContentClass` in class `AbstractAccordion`

### setItemContentClass

    public void setItemContentClass(String itemContentClass)

### getItemDisabledHeaderClass

    public String getItemDisabledHeaderClass()

  Description copied from class: `AbstractAccordion`
  The CSS class applied to the panel header when the panel is disabled

  Specified by:
    `getItemDisabledHeaderClass` in class `AbstractAccordion`

### setItemDisabledHeaderClass

    public void setItemDisabledHeaderClass(String itemDisabledHeaderClass)

### getItemDisabledLeftIcon

    public String getItemDisabledLeftIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the left of the panel header when the panel is disabled

  Specified by:
    `getItemDisabledLeftIcon` in class `AbstractAccordion`

### setItemDisabledLeftIcon

    public void setItemDisabledLeftIcon(String itemDisabledLeftIcon)

### getItemDisabledRightIcon

    public String getItemDisabledRightIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the right of the panel header when the panel is disabled

  Specified by:
    `getItemDisabledRightIcon` in class `AbstractAccordion`

### setItemDisabledRightIcon

    public void setItemDisabledRightIcon(String itemDisabledRightIcon)

### getItemHeaderClass

    public String getItemHeaderClass()

  Description copied from class: `AbstractAccordion`
  The CSS class applied to the panel header

  Specified by:
    `getItemHeaderClass` in class `AbstractAccordion`

### setItemHeaderClass

    public void setItemHeaderClass(String itemHeaderClass)

### getItemInactiveHeaderClass

    public String getItemInactiveHeaderClass()

  Description copied from class: `AbstractAccordion`
  The CSS class applied to the panel header when the panel is not active

  Specified by:
    `getItemInactiveHeaderClass` in class `AbstractAccordion`

### setItemInactiveHeaderClass

    public void setItemInactiveHeaderClass(String itemInactiveHeaderClass)

### getItemInactiveLeftIcon

    public String getItemInactiveLeftIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the left of the panel header when the panel is not active

  Specified by:
    `getItemInactiveLeftIcon` in class `AbstractAccordion`

### setItemInactiveLeftIcon

    public void setItemInactiveLeftIcon(String itemInactiveLeftIcon)

### getItemInactiveRightIcon

    public String getItemInactiveRightIcon()

  Description copied from class: `AbstractAccordion`
  The icon displayed on the right of the panel header when the panel is not active

  Specified by:
    `getItemInactiveRightIcon` in class `AbstractAccordion`

### setItemInactiveRightIcon

    public void setItemInactiveRightIcon(String itemInactiveRightIcon)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(String lang)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractTogglePanel`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforeitemchange

    public String getOnbeforeitemchange()

  Description copied from class: `AbstractAccordion`
  Points to the function to perform when before the switchable item is changed

  Specified by:
    `getOnbeforeitemchange` in class `AbstractAccordion`

### setOnbeforeitemchange

    public void setOnbeforeitemchange(String onbeforeitemchange)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnitemchange

    public String getOnitemchange()

  Description copied from class: `AbstractAccordion`
  Points to the function to perform when the switchable item is changed.

  Specified by:
    `getOnitemchange` in class `AbstractAccordion`

### setOnitemchange

    public void setOnitemchange(String onitemchange)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in class `AbstractTogglePanel`

### setRender

    public void setRender(Object render)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in class `AbstractTogglePanel`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(String title)

### getWidth

    public String getWidth()

  Description copied from class: `AbstractAccordion`
  The width of the panel

  Specified by:
    `getWidth` in class `AbstractAccordion`

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.